# Uses of Interface
ch.qos.logback.core.rolling.RollingPolicy

Packages that use RollingPolicy
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.

## Uses of RollingPolicy in ch.qos.logback.core.rolling

Classes in ch.qos.logback.core.rolling that implement RollingPolicy
Modifier and Type
Class
Description
`class`
`FixedWindowRollingPolicy`
When rolling over, `FixedWindowRollingPolicy` renames files according to a fixed window algorithm.
`class`
`RollingPolicyBase`
Implements methods common to most, it not all, rolling policies.
`class`
`SizeAndTimeBasedRollingPolicy<E>`
`class`
`TimeBasedRollingPolicy<E>`
`TimeBasedRollingPolicy` is both easy to configure and quite powerful.
Methods in ch.qos.logback.core.rolling that return RollingPolicy
Modifier and Type
Method
Description
`RollingPolicy`
RollingFileAppender.`getRollingPolicy()`
Methods in ch.qos.logback.core.rolling with parameters of type RollingPolicy
Modifier and Type
Method
Description
`void`
RollingFileAppender.`setRollingPolicy(RollingPolicy policy)`
Sets the rolling policy.